Bug 257192 - x11-fm/thunar: Add signals for trash shortcut view (trash icon in side pane)
Summary: x11-fm/thunar: Add signals for trash shortcut view (trash icon in side pane)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-xfce (Nobody)
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2021-07-14 19:25 UTC by Olivier Duchateau
Modified: 2021-09-12 12:35 UTC (History)
1 user (show)

See Also:
madpilot: maintainer-feedback+
duchateau.olivier: merge-quarterly?


Attachments
Fix signals for trash shortcut view (4.57 KB, patch)
2021-07-14 19:25 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau 2021-07-14 19:25:14 UTC
Created attachment 226471 [details]
Fix signals for trash shortcut view

- Add patch, which fixes signals when something is deleted (trash icon is not automatically updated in side pane) [1], [2]
- Replace 'emblem-mail' icon by one provided by sysutils/xfce4-settings
- Bump PORTREVISION

Note: This bug affects releases 4.16.x and 4.17.x

[1] https://gitlab.xfce.org/xfce/thunar/-/issues/584
[2] https://gitlab.xfce.org/xfce/thunar/-/issues/571
Comment 1 Guido Falsi freebsd_committer 2021-07-16 11:10:50 UTC
(In reply to Olivier Duchateau from comment #0)
Thanks for pointing this out.I need to ask, where is this patch coming from? I could not find it included in the upstream repo or in the linked bug reports upstream.

I'd really rather avoid diverging with upstream with patches.
Comment 2 Olivier Duchateau 2021-07-16 16:04:42 UTC
(In reply to Guido Falsi from comment #1)

It's my own, not yet submitted my patch to upsteam. It is present in several releases of Thunar (stables and unstable).

Links show that it is known bug.
Comment 3 Olivier Duchateau 2021-07-18 15:21:15 UTC
I've submitted a patch (see my comment in issue #584), because the latest release (4.17.4) is also affected.

We can not directly backport changes, because the 4.17.4 release uses GBinding whereas 4.16.x still uses ExoBinding.
Comment 4 Guido Falsi freebsd_committer 2021-07-25 07:45:31 UTC
Sorry for the delay, I'm going to test you patch.

Please be patient for a few more days.
Comment 5 Olivier Duchateau 2021-07-25 17:52:46 UTC
(In reply to Guido Falsi from comment #4)

Since I use my patch, Thunar often crashes. When I close it (not observed on my Linux box). So it is too early to adopt this patch.
Comment 6 Guido Falsi freebsd_committer 2021-07-25 18:19:48 UTC
(In reply to Olivier Duchateau from comment #5)

Thanks for pointing this out. I'll keep an eye here then, for updates.
Comment 7 Olivier Duchateau 2021-09-12 12:30:31 UTC
Fixed in the latest release (tested with Thunar 4.17.5). The 4.16 branch contains same fix.
Comment 8 Guido Falsi freebsd_committer 2021-09-12 12:35:09 UTC
(In reply to Olivier Duchateau from comment #7)

Great!

I already committed the update to the latest thunar to the ports tree head.